## Understand.zip

=== Understand51986/Understand.app/Contents/Resources/sample/blowfishvhdl/Makefile ===
LIBS = -Pcommon

build:
	ghdl -m $(LIBS) $(TARGET)

scan: common/scan work/scan

%/scan:
	ghdl -i --work=$* --workdir=$* $(LIBS) $*/*.vhdl

work/scan:
	ghdl -i --mb-comments $(LIBS) *.vhdl

%/clean:
	ghdl --clean --work=$* --workdir=$*

work/clean:
	ghdl --clean

clean: common/clean work/clean
	rm -f *~ #*#

=== Understand51986/Understand.app/Contents/Resources/sample/fdas/source/Makefile ===
# Makefile for getData f90 source directory.
# Version for NAG f90 compiler.
# This version makes only the libraries used in the
# self-contained, generic compiler test
# Richard Maine.  22 Dec 92.
#

LIBDIR = ../../lib
MODDIR = ../../mod

.PHONY: all clean

all:
	cd misc; $(MAKE) install
	cd thRead; $(MAKE) install
	cd gdRead; $(MAKE) install
	cd thWrite; $(MAKE) install
	cd test; $(MAKE) gdTest

clean:
	cd misc; $(MAKE) clean
	cd thRead; $(MAKE) clean
	cd gdRead; $(MAKE) clean
	cd thWrite; $(MAKE) clean
	cd test; $(MAKE) clean

=== Understand51986/Understand.app/Contents/Resources/sample/dyacclex/src/lex/Makefile ===
#
# Delphi Yacc & Lex
# Copyright (c) 2003,2004 by Michiel Rook
# Based on Turbo Pascal Lex and Yacc Version 4.1
# Compiler generator toolset for Turbo/Borland/Free Pascal and Delphi
#
# Copyright (c) 1990-2000 by Albert Graef
#                       <ag@muwiinfa.geschichte.uni-mainz.de>
# Copyright (c) 1996 by Berend de Boer
#                       <berend@pobox.com>
# Copyright (c) 1998 by Michael Van Canneyt
#                       <Michael.VanCanneyt@fys.kuleuven.ac.be>
#
# Lex Makefile - Use GNU make!
#
# $Id: Makefile 11962 2005-10-27 14:47:09Z dpollard $
#


ifeq ($(OSTYPE),linux-gnu)
	LINUX=1
else
	WIN32=1
endif


ifdef WIN32
DCC=dcc32

LEX=dlex.exe

MAKE=$(CURDIR)/../make

ifeq ($(OS), Windows_NT)
	RM=cmd /c del
else
	RM=del
endif
endif


ifdef LINUX
DCC=/usr/local/bin/dcc

LEX=dlex
RM=rm -f
endif

DCC_FLAGS=-D- -Q -GD

LEX_SOURCES=dlex.dpr
LEX_UNITS=lexbase.pas lexdfa.pas lexlist.pas lexmsgs.pas lexopt.pas lexpos.pas lexrules.pas lextable.pas
UNITDIRS=..


all:	$(LEX)
      
clean:
	$(RM) $(LEX) 
	$(RM) *.map
	$(RM) *.dcu
	$(RM) *.dpu
	$(RM) *.drc
	$(RM) *.dcp

$(LEX):	$(LEX_SOURCES) $(LEX_UNITS)
	$(DCC) $(LEX_SOURCES) $(DCC_FLAGS) -U$(UNITDIRS)

=== Understand51986/Understand.app/Contents/Resources/sample/dyacclex/src/yacc/Makefile ===
#
# Delphi Yacc & Lex
# Copyright (c) 2003,2004 by Michiel Rook
# Based on Turbo Pascal Lex and Yacc Version 4.1
# Compiler generator toolset for Turbo/Borland/Free Pascal and Delphi
#
# Copyright (c) 1990-2000 by Albert Graef
#                       <ag@muwiinfa.geschichte.uni-mainz.de>
# Copyright (c) 1996 by Berend de Boer
#                       <berend@pobox.com>
# Copyright (c) 1998 by Michael Van Canneyt
#                       <Michael.VanCanneyt@fys.kuleuven.ac.be>
#
# Sources Makefile - Use GNU make!
#
# $Id: Makefile 11962 2005-10-27 14:47:09Z dpollard $
#


ifeq ($(OSTYPE),linux-gnu)
	LINUX=1
else
	WIN32=1
endif


ifdef WIN32
DCC=dcc32

YACC=dyacc.exe

MAKE=$(CURDIR)/../make

ifeq ($(OS), Windows_NT)
	RM=cmd /c del
else
	RM=del
endif
endif


ifdef LINUX
DCC=/usr/local/bin/dcc

YACC=./dyacc
RM=rm -f
endif


DCC_FLAGS=-D- -Q -GD

YACC_SOURCES=dyacc.dpr
YACC_UNITS=yaccbase.pas yaccclos.pas yacclook.pas yacclr0.pas yaccmsgs.pas yaccpars.pas yaccsem.pas yacctabl.pas
UNITDIRS=..


all:	$(YACC)
      
clean:
	$(RM) $(YACC) 
	$(RM) *.map
	$(RM) *.dcu
	$(RM) *.dpu
	$(RM) *.drc
	$(RM) *.dcp

$(YACC):	$(YACC_SOURCES) $(YACC_UNITS)
	$(DCC) $(YACC_SOURCES) -D$(DCC_DEFS) $(DCC_FLAGS) -U$(UNITDIRS)

=== Understand51986/Understand.app/Contents/Resources/sample/fdas/source/gdRead/Makefile ===
# Makefile for getData f90 gdRead directory.
# Version for NAG f90 compiler.
# Richard Maine.  12 Jul 92.
#

LIBRARY = libgdRead.a
LIBDIR = ../../lib
MODDIR = ../../mod

FFLAGS = -O

OBJS = gdCommon.o linkCalc.o gdCalc.o \
       sampleFilt.o sampleCalc.o dumCalc.o \
       linkFilt.o gdFilt.o gdFile.o gdRead.o

MODS = gd_read.mod gd_common.mod

SRCS = gdCommon.f90 linkFilt.f90 gdFilt.f90 \
       sampleFilt.f90 sampleCalc.o dumCalc.o \
       linkCalc.f90 gdCalc.f90 gdFile.o gdRead.f90

.SUFFIXES:
.SUFFIXES: .f90 $(SUFFIXES)

.f90.o:
	f90 $(FFLAGS) -I$(MODDIR) -c $<

.PHONY: all clean

all:    $(LIBRARY)

install: all $(LIBDIR)/$(LIBRARY)

$(LIBDIR)/$(LIBRARY): $(LIBRARY)
	cp *.mod $(MODDIR)
	cp $(LIBRARY) $(LIBDIR)
	-ranlib $(LIBDIR)/$(LIBRARY)

$(LIBRARY): $(OBJS)
	ar rv $@ $?
	-ranlib $(LIBRARY)

clean:; rm -f $(LIBRARY) $(OBJS) *.mod

# Dependencies.
# We don't yet have a tool to make these automatically for f90.
# The use statements really imply dependencies on .o instead of .mod files,
# but maintaining that distinction would add complications.
linkFilt.o: sampleFilt.o
gdFilt.o: gdCommon.o linkFilt.o
linkCalc.o: sampleCalc.o dumCalc.o
gdCalc.o: gdCommon.o linkCalc.o
gdFile.o: gdCommon.o
gdRead.o: gdCommon.o gdFilt.o gdCalc.o gdFile.o
###

=== Understand51986/Understand.app/Contents/Resources/sample/fdas/source/misc/Makefile ===
# Makefile for getData f90 misc directory.
# Version for NAG f90 compiler.
# Richard Maine.  12 Jul 92.
#

LIBRARY = libmisc.a
LIBDIR = ../../lib
MODDIR = ../../mod

FFLAGS = -O

OBJS = precision.o sysdepIo.o error.o binary.o string.o time.o \
       gdTree.o gdList.o readCmd.o client.o

LIBOBJS = sysdepIo.o error.o binary.o string.o time.o \
       gdTree.o gdList.o readCmd.o client.o

SRCS = precision.f90 sysdepIo.f90 error.f90 binary.f90 string.f90 time.f90 \
       gdTree.f90 gdList.f90 readCmd.f90 client.f90

.SUFFIXES:
.SUFFIXES: .f90 $(SUFFIXES)

.f90.o:
	f90 $(FFLAGS) -c $<

.PHONY: all clean

all:    $(OBJS) $(LIBRARY)

install: all $(LIBDIR)/$(LIBRARY)

$(LIBDIR)/$(LIBRARY): $(LIBRARY)
	cp *.mod $(MODDIR)
	cp $(LIBRARY) $(LIBDIR)
	-ranlib $(LIBDIR)/$(LIBRARY)

$(LIBRARY): $(LIBOBJS)
	ar rv $@ $?
	-ranlib $(LIBRARY)

clean:; rm -f $(LIBRARY) $(OBJS) *.mod

# Dependencies.
# We don't yet have a tool to make these automatically for f90.
# The use statements really imply dependencies on .o instead of .mod files,
# but maintaining that distinction would add complications.
binary.o: precision.o
error.o: sysdepIo.o
string.o: precision.o sysdepIo.o
time.o: precision.o
client.o: binary.o sysdepIo.o
gdTree.o: string.o
readCmd.o: sysdepIo.o
###

=== Understand51986/Understand.app/Contents/Resources/sample/fdas/source/test/Makefile ===
# Makefile for fdas test directory.
# Version for NAG f90 compiler.
# Richard Maine, 21 Aug 92
#

LIBDIR = ../../lib
MODDIR = ../../mod

FFLAGS = -O

.SUFFIXES:
.SUFFIXES: .f90 $(SUFFIXES)

.f90.o:
	f90 $(FFLAGS) -I$(MODDIR) -c $<

.PHONY: all clean

all: gdTest

gdTest: gdTest.o
	f90 -L${LIBDIR} \
	  gdTest.o -lthWrite -lgdRead -lthRead -lmisc \
	  -o  $@

clean:; rm -f *.o *.mod

###

=== Understand51986/Understand.app/Contents/Resources/sample/fdas/source/thRead/Makefile ===
# Makefile for getData f90 thRead directory.
# Version for NAG f90 compiler.
# Richard Maine.  12 Jul 92.
#

LIBRARY = libthRead.a
LIBDIR = ../../lib
MODDIR = ../../mod

FFLAGS = -O

OBJS = thRGen.o thRAsc12.o thRUnc2.o thRUnc3.o thRCmp3.o thRNet1.o thRead.o

MODS = th_read.mod

SRCS = thRGen.f90 thRAsc12.f90 thRUnc2.f90 thRUnc3.f90 thRCmp3.f90 \
       thRNet1.f90 thRead.f90

.SUFFIXES:
.SUFFIXES: .f90 $(SUFFIXES)

.f90.o:
	f90 $(FFLAGS) -I$(MODDIR) -c $<

.PHONY: all clean

all:    $(LIBRARY)

install: all $(LIBDIR)/$(LIBRARY)

$(LIBDIR)/$(LIBRARY): $(LIBRARY)
	cp *.mod $(MODDIR)
	cp $(LIBRARY) $(LIBDIR)
	-ranlib $(LIBDIR)/$(LIBRARY)

$(LIBRARY): $(OBJS)
	ar rv $@ $?
	-ranlib $(LIBRARY)

clean:; rm -f $(LIBRARY) $(OBJS) *.mod

###

=== Understand51986/Understand.app/Contents/Resources/sample/fdas/source/thWrite/Makefile ===
# Makefile for getData f90 thWrite directory.
# Version for NAG f90 compiler.
# Richard Maine.  12 Jul 92.
#

LIBRARY = libthWrite.a
LIBDIR = ../../lib
MODDIR = ../../mod

FFLAGS = -O

OBJS = thWAsc12.o thWLis1.o thWUnc2.o thWUnc3.o thWCmp3.o \
       thWrite.o

MODS = th_write.mod

SRCS = thWAsc12.f90 thWLis1.f90 thWUnc2.f90 thWUnc3.f90 thWCmp3.f90 \
       thWrite.f90

.SUFFIXES:
.SUFFIXES: .f90 $(SUFFIXES)

.f90.o:
	f90 $(FFLAGS) -I$(MODDIR) -c $<

.PHONY: all clean

all:    $(LIBRARY)

install: all $(LIBDIR)/$(LIBRARY)

$(LIBDIR)/$(LIBRARY): $(LIBRARY)
	cp *.mod $(MODDIR)
	cp $(LIBRARY) $(LIBDIR)
	-ranlib $(LIBDIR)/$(LIBRARY)

$(LIBRARY): $(OBJS)
	ar rv $@ $?
	-ranlib $(LIBRARY)

clean:; rm -f $(LIBRARY) $(OBJS) *.mod

###

=== Understand51986/Understand.app/Contents/Resources/sample/dyacclex/debian/changelog ===
dyacclex (1.3-1) unstable; urgency=low

  * Initial Release.

 -- Michiel Rook <michiel@grendelproject.nl>  Fri, 18 Feb 2005 11:30:17 +0100

=== Understand51986/Understand.app/Contents/Resources/sample/dyacclex/debian/control ===
Source: dyacclex
Section: contrib/devel
Priority: optional
Maintainer: Michiel Rook <michiel@grendelproject.nl>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: dyacclex
Architecture: any
Depends: libc6 (>= 2.3.2.ds1-4)
Description: Delphi Yacc & Lex - Parser generator toolset for Delphi and Kylix
 Delphi Yacc & Lex is a parser generator toolset for Delphi and Kylix,
 based on Turbo Pascal Lex and Yacc, version 4.1, by Albert Graef et al.
 The primary goal is to clean up the code, and improve compatibility
 and maintainability.

=== Understand51986/Understand.app/Contents/Resources/sample/dyacclex/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) OSTYPE=linux-gnu
	#docbook-to-man debian/dyacclex.sgml > dyacclex.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) OSTYPE=linux-gnu clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/dyacclex.
	$(MAKE) install OSTYPE=linux-gnu DESTDIR=$(CURDIR)/debian/dyacclex


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
